Get Local Os User Accounts
Returns a list of local OS user accounts from the SDDC Manager appliance
OK
[
{
"username": "string",
"lastPasswordChange": "string",
"passwordExpiresAt": "string",
"passwordInactiveAt": "string",
"accountExpiresAt": "string",
"maxDaysBetweenPasswordChange": 0,
"minDaysBetweenPasswordChange": 0,
"warnDaysBeforePasswordExpiration": 0
}
]
Local OS user account details
Internal server error
{
"errorCode": "string",
"errorType": "string",
"arguments": [
"string"
],
"context": {
"context": "string"
},
"message": "string",
"remediationMessage": "string",
"causes": [
{
"type": "string",
"message": "string"
}
],
"nestedErrors": [
{
"errorCode": "string",
"errorType": "string",
"arguments": [
"string"
],
"context": {
"context": "string"
},
"message": "string",
"remediationMessage": "string",
"causes": [
{
"type": "string",
"message": "string"
}
],
"nestedErrors": [
"Error Object"
],
"referenceToken": "string"
}
],
"referenceToken": "string"
}
The minor error code
The error type
The arguments used to localize the message, Can be used by scripts to automate the error processing.
The error context (e.g. the component where it occurred).
The localized error message
The localized remediation error message
The underlying cause exceptions.
The nested errors when the error is a composite one
A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.
curl -H 'Authorization: <value>' https://{api_host}/v1/sddc-manager/local-os-user-accounts